Network.HTTP.Conduit

# Perform a request

simpleHttp

httpLbs

http

# Datatypes

data Proxy

data RequestBody

## Request

data Request

method

secure

host

port

path

queryString

requestHeaders

requestBody

proxy

hostAddress

rawBody

decompress

redirectCount

checkResponse

responseTimeout

cookieJar

requestVersion

setQueryString

### Request body

requestBodySource

requestBodySourceChunked

requestBodySourceIO

requestBodySourceChunkedIO

# Response

data Response body

responseStatus

responseVersion

responseHeaders

responseBody

responseCookieJar

# Manager

data Manager

newManager

closeManager

withManager

withManagerSettings

## Settings

data ManagerSettings

conduitManagerSettings

tlsManagerSettings

mkManagerSettings

managerConnCount

managerResponseTimeout

managerTlsConnection

## Response timeout

data ResponseTimeout

responseTimeoutMicro

responseTimeoutNone

responseTimeoutDefault

# Cookies

data Cookie

data CookieJar

createCookieJar

destroyCookieJar

# Utility functions

parseUrl

parseUrlThrow

parseRequest

parseRequest_

defaultRequest

applyBasicAuth

addProxy

lbsResponse

getRedirectedRequest

# Decompression predicates

alwaysDecompress

browserDecompress

# Request bodies

urlEncodedBody

# Exceptions

data HttpException

data HttpExceptionContent